aboutsummaryrefslogtreecommitdiffhomepage
path: root/bin/extract_strings
diff options
context:
space:
mode:
authorwinter2024-12-24 17:46:51 +0000
committerwinter2024-12-24 17:46:51 +0000
commit721674973ca0a4d98cd081e9ff130c3356ddac03 (patch)
tree5caa082baa4f23bd8a88f4f268fea6d9233f6553 /bin/extract_strings
parentd5a57276eb27e215dd0b1bd5eb67ac26acc9575b (diff)
implement ui translations using gettext
this was horrible i don't like gettext anymore
Diffstat (limited to 'bin/extract_strings')
-rwxr-xr-xbin/extract_strings3
1 files changed, 3 insertions, 0 deletions
diff --git a/bin/extract_strings b/bin/extract_strings
new file mode 100755
index 0000000..8893b0e
--- /dev/null
+++ b/bin/extract_strings
@@ -0,0 +1,3 @@
+#!/bin/sh
+cd "$(dirname "$0")"/.. || exit 1
+xgettext -L PHP **/*.php -d digitigrade --from-code=UTF-8 -o locale/digitigrade.pot --omit-header